Subject: bug#51577: 27.2; Regression: reproducible hang with face functions

From: Lars Ingebrigtsen <[email-masked]>
Date: Sat, 06 Nov 2021 01:39:38 +0100

Eli Zaretskii <[email-masked]> writes:

>> > Similarly, inheritance loops can (and usually do) appear at run time,
>> > because faces are added or their attributes modified or merged with
>> > other faces.
>> 
>> Hm...  will merging lead to loops?
>
> That's exactly what happened in the case in point: we merged the
> 'default' font with the 'region' font.

I see.  OK, then I think there isn't much we can do on the usability
front here, and checking for loops at display time would be prohibitive,
apparently, so we're not going to fix this, and I'm closing this bug
report.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no